You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by lb...@apache.org on 2018/09/14 08:49:24 UTC

[camel-k] 02/05: Update release with git tag step

This is an automated email from the ASF dual-hosted git repository.

lburgazzoli pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit 80d1cf3aa8a8e5645797ded82b1ce949b1388c4f
Author: nferraro <ni...@gmail.com>
AuthorDate: Thu Sep 13 19:13:04 2018 +0200

    Update release with git tag step
---
 build/Makefile   |  5 ++++-
 build/git_tag.sh | 15 +++++++++++++++
 2 files changed, 19 insertions(+), 1 deletion(-)

diff --git a/build/Makefile b/build/Makefile
index 28c52a3..fde80b2 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -12,7 +12,7 @@ build-embed-resources:
 build-runtime:
 	mvn clean install -f ./runtime/pom.xml
 
-release: prepare-release build images-build images-push test-integration cross-compile
+release: prepare-release build images-build images-push test-integration cross-compile git-tag
 
 prepare-release:
 	./build/prepare_release.sh
@@ -20,6 +20,9 @@ prepare-release:
 cross-compile:
 	./build/cross_compile.sh
 
+git-tag:
+	./build/git_tag.sh
+
 dep:
 	dep ensure -v
 
diff --git a/build/git_tag.sh b/build/git_tag.sh
new file mode 100755
index 0000000..d1d3adb
--- /dev/null
+++ b/build/git_tag.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+location=$(dirname $0)
+version=$($location/get_version.sh)
+
+git branch -D staging-$version || true
+git checkout -b staging-$version
+git add * || true
+git commit -m "Release $version"
+git tag --force $version staging-$version
+git push --force upstream $version
+
+echo "Tag $version pushed upstream"